<div class="d-flex justify-content-between align-items-start flex-wrap mb-2">
  <div class="d-flex justify-content-start mb-2">
    <h3 class="d-flex align-items-center mb-0">
      <a class="btn btn-light d-flex align-items-center mr-2" style="font-size: 18px" (click)="goBack()">
        <i class="fa fa-chevron-left" aria-hidden="true"></i>
      </a>
      Main cities
    </h3>
  </div>
  <div class="d-flex justify-content-end mb-2">
    <button class="btn btn-primary " style="font-size: 18px" (click)="save()">Save</button>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <section class="widget" widget>
      <header>
        <h6>
          Image information
        </h6>
        <div class="widget-controls">
          <a data-widgster="collapse" title="Collapse">
            <i class="la la-angle-up"></i>
          </a>
          <a data-widgster="expand" title="Expand">
            <i class="la la-angle-down"></i>
          </a>
        </div>
      </header>
      <div class="widget-body">
        <fieldset>         
            <div class="row">
              <div class="form-group col-md-12 col-lg-8 row">
                <label for="normal-name" class="col-md-4  col-form-label text-md-right">Url</label>
                <div class="col-md-7 ">
                  <input type="text" id="normal-name" [(ngModel)]="imgData.src" class="form-control" placeholder="place the image url here">
                </div>
              </div>              
            </div>          
          <div class="d-flex justify-content-center mt-3">
            <button class="btn btn-outline-secondary mr-2" (click)="add()">Add</button>
            <button *ngIf="index != null" class="btn btn-outline-secondary mr-2" 
              (click)="update();imgData = {}">Edit</button>
            <button class="btn btn-outline-secondary" (click)="imgData = {}">Clear</button>
          </div>
        </fieldset>
      </div>
    </section>
    <section class="widget" widget>
      <header>
        <h6>
          List of images
        </h6>
        <div class="widget-controls">
          <a data-widgster="collapse" title="Collapse">
            <i class="la la-angle-up"></i>
          </a>
          <a data-widgster="expand" title="Expand">
            <i class="la la-angle-down"></i>
          </a>
        </div>
      </header>
      <div class="widget-body">
        <fieldset>
          <div class="table-responsive">
            <table *ngIf="data.length > 0" class="table table-hover">
              <thead>
                <tr>
                  <th style="width: 52px;"></th>
                  <th>Url</th>
                  <th>Name</th>
                </tr>
              </thead>
              <tbody>
                <tr style="max-height: 36px;" *ngFor="let img of data; let i = index" (click)="edit(i)">
                  <td>
                    <span>
                      <i class="glyphicon glyphicon-remove-circle text-danger" (click)="delete(i)"></i>
                    </span>
                  </td>
                  <td style="width: 700px; text-overflow: ellipsis;"><a title="{{img.src}}">{{img.src | slice:0:70 }}</a></td>
                  <td>{{img.fullName}}</td>
                </tr>
              </tbody>
            </table>
          </div>
        </fieldset>
      </div>
    </section>
  </div>
</div>

<div class="d-flex justify-content-center mb-2">
  <button class="btn btn-primary " style="font-size: 18px" (click)="save()">Save</button>
</div>